<?
include("../../includes/common.php");

if($ADMIN_ID > 0){
	header ("Location: ".($r==""?"./index.php":$r));
	exit;
}

//echo $_SESSION["VERIFY_IMG_STR"];

/*PAGE TITLE*/

$r = trim($_POST['r']!=""?$_POST['r']:$_GET['r']);
$login = trim($_POST['login']!=""?$_POST['login']:$_GET['login']);

if(isset($_POST["login"])){

	$user_id = CheckAdminLoginData($_POST['login'],$_POST['pass']);
//	echo "<H1>|".$_SERVER["REMOTE_ADDR"]."| ID = ".$user_id."</H1>";

	$error = "";

	if($_POST['verify']=="")
	{
		$error .= "Введите контрольный код, пожалуйста.<br>\n";
	}
	elseif($_POST['verify']!=$_SESSION["VERIFY_IMG_STR"])
	{
		$error .= "Неправильный контрольный код.<br>\n";
	}
	elseif($error=="")
	{
		if($user_id>0){
			$remember = $_POST['remember']==1?true:false;
			MakeAdminLogin($user_id,$remember);
			header ("Cache-Control: no-cache, must-revalidate");
			header ("Location: ".(!$r?"./index.php":$r));
			exit;
		}else{
			$error .= "Администратор не найден<br />\n";
		}
	}
}

$smarty->assign('r',$r);
$smarty->assign('login',$login);
$smarty->assign('error',$error);
$smarty->assign('remember',$remember);
$smarty->display('admin_login.tpl');
?>